#include "as31glue.h"
#include "main.h"

#include "params.h"

static code unsigned char default_value[PARAM_MAX] = 
{
   0,    /* UNUSED0 */
   20,   /* PARAM_ATTN */
   0,    /* PARAM_TREBLE */
   0,    /* PARAM_BASS */
   0x0b, /* PARAM_TREBLE_FREQ_HI */
   0xb8, /* PARAM_TREBLE_FREQ_LO */
   0,    /* PARAM_BASS_FREQ_HI */
   0xa0, /* PARAM_BASS_FREQ_LO */
   MODE_SEQNTIAL, /* PARAM_PLAY_MODE */
   0,    /* PARAM_PLST_INDEX_HI */
   0,    /* PARAM_PLST_INDEX_LO */
   0,    /* PARAM_TRACK_INDEX_HI */
   0,    /* PARAM_TRACK_INDEX_LO */
   0,    /* PARAM_RESUME */
};
   


unsigned char read_param_byte(param_t param_id)
{
   return read_param_1byte(param_id,
			   default_value[param_id]);
}
