
struct settings_struct {
        unsigned char attn;
        char treble;
        char bass;
        unsigned char tone_attn;
	unsigned char treble_freq_hi;
	unsigned char treble_freq_lo;
	unsigned char bass_freq_hi;
	unsigned char bass_freq_lo;
};

extern xdata struct settings_struct setting;
extern volatile xdata unsigned char playing;

extern idata unsigned char ibuf[4];

typedef enum {
   MODE_MIN = 0,
   MODE_DIRONLY = 0,
   MODE_DIRRAND,
   MODE_SEQNTIAL,
   MODE_PLSTRAND,
   MODE_ALLRAND,
   MODE_MAX = 4
} play_modes_t;

extern play_modes_t play_mode;

extern bit update_sta013_needed;
extern bit update_mode_needed;

extern unsigned long songStartFrameCount;

